EZ_GetItemIntData(3)

NAME
EZ_SetItemIntData, EZ_SetItemPtrData, EZ_SetItemClientData, EZ_GetItemIntData, EZ_GetItemPtrData, EZ_GetItemClientData
 - set/retrieve client data registered to a display item

SYNOPSIS
#include <EZ.h>

void *EZ_SetItemIntData( EZ_Item*item, int idata)
void *EZ_SetItemPtrData( EZ_Item*item, void *pdata)
void *EZ_SetItemClientData( EZ_Item*item,
        int idata, void *pdata)
int   EZ_GetItemIntData( EZ_Item*item)
void *EZ_GetItemPtrData( EZ_Item*item)
void *EZ_GetItemClientData( EZ_Item*item,
       int *i_ret, void **p_ret)

ARGUMENTS
item Specifies a display item .

idata Specifies an integer.

pdata Specifies a generic pointer.

i_ret Specifies a return for the integer client data.

p_ret Specifies a return for the pointer client data.

DESCRIPTION

The EZ_Item data structure provides two fields for application to hook in application data to a item. One is of type int and the other is of type void *.

EZ_SetItemIntData stores an integer in a item.

EZ_SetItemPtrData stores a pointer in a item.

EZ_SetItemClientData stores both the integer and the pointer client data.

EZ_GetItemIntData returns the integer stored in a item.

EZ_GetItemPtrData returns the pointer stored in a item.

EZ_GetItemClientData returns both the integer and the pointer client data.

SEE ALSO
EZ_CreateItem(3), EZ_AddItemCallBack(3)